This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1256344 - Review Request: perl-Log-Any-IfLOG - Load Log::Any only if "logging is enabled"
Review Request: perl-Log-Any-IfLOG - Load Log::Any only if "logging is enabled"
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jitka Plesnikova
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1256181
  Show dependency treegraph
 
Reported: 2015-08-24 07:51 EDT by Petr Šabata
Modified: 2015-09-18 15:00 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.07-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-15 15:51:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jplesnik: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Petr Šabata 2015-08-24 07:51:58 EDT
Spec URL: https://psabata.fedorapeople.org/pkgs/perl-Log-Any-IfLOG/perl-Log-Any-IfLOG.spec
SRPM URL: https://psabata.fedorapeople.org/pkgs/perl-Log-Any-IfLOG/perl-Log-Any-IfLOG-0.07-1.fc22.src.rpm
Description:
This module is a drop-in replacement/wrapper for Log::Any to be used from
your modules. This is a quick-hack solution to avoid the cost of loading
Log::Any under "normal condition".
Fedora Account System Username: psabata
Comment 1 Jitka Plesnikova 2015-08-27 04:07:09 EDT
Source file is ok
Summary is ok
License is ok
Description is ok
URL and Source0 are ok
All tests passed
BuildRequires are ok

$ rpm -qp --requires perl-Log-Any-IfLOG-0.07-1.fc24.noarch.rpm | sort | uniq -c
      1 perl(:MODULE_COMPAT_5.22.0)
      1 perl(Log::Any)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -qp --provides perl-Log-Any-IfLOG-0.07-1.fc24.noarch.rpm | sort | uniq -c
      1 perl(Log::Any::IfLOG) = 0.07
      1 perl-Log-Any-IfLOG = 0.07-1.fc24
Binary provides are Ok.

$ rpmlint ./perl-Log-Any-IfLOG*
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
Rpmlint is ok

Package APPROVED.
Comment 2 Petr Šabata 2015-08-27 07:52:39 EDT
New Package SCM Request
=======================
Package Name: perl-Log-Any-IfLOG
Short Description: Load Log::Any only if "logging is enabled"
Upstream URL: http://search.cpan.org/dist/Log-Any-IfLOG/
Owners: psabata jplesnik ppisar
Branches: f22 f23
InitialCC: perl-sig
Comment 3 Gwyn Ciesla 2015-08-27 11:05:28 EDT
Git done (by process-git-requests).
Comment 4 Fedora Update System 2015-08-27 11:38:55 EDT
perl-Log-Any-IfLOG-0.07-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14417
Comment 5 Fedora Update System 2015-08-27 11:39:06 EDT
perl-Log-Any-IfLOG-0.07-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14418
Comment 6 Fedora Update System 2015-08-28 14:57:42 EDT
perl-Log-Any-IfLOG-0.07-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update perl-Log-Any-IfLOG'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14417
Comment 7 Fedora Update System 2015-08-31 14:52:47 EDT
perl-Log-Any-IfLOG-0.07-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update perl-Log-Any-IfLOG'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14418
Comment 8 Fedora Update System 2015-09-15 15:51:07 EDT
perl-Log-Any-IfLOG-0.07-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2015-09-18 15:00:55 EDT
perl-Log-Any-IfLOG-0.07-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.